using ProjetBlazor.Components;
using ProjetBlazor.Models;

namespace ProjetBlazor.Services
{
    public interface IDataService
    {
        Task Add(ItemModel model);

        Task<int> Count();

        Task<List<Item>> List(int currentPage, int pageSize);

        Task<Item> GetById(int id);

        Task<List<Item>> getAll();

        Task Update(int id, ItemModel model);

        Task Delete(int id);
    }
}
